% Lab01: file lab01_ex_sampling.m
% Sampling and signal aliasing (uncertainty)
clear all; close all;

fs = 2000;      % sampling frequency
dt = 1/fs;      % sampling period
Nx = 100;       % number of signal samples

n = 0 : Nx-1;   % vector of indexes of signal samples
t = dt*n;       % vector of sampling moments (in seconds)

fx = 50;        % frequency of power supply
figure;
for k = 0 : 10
    k           % checking loop execution 
    x1 = 230*sqrt(2) * sin(2*pi*(+fx + k*fs)*t);   % freq = +fx + k*fs
    x2 = 230*sqrt(2) * sin(2*pi*(-fx + k*fs)*t);   % freq = -fx + k*fs
    x3 = 230*sqrt(2) * cos(2*pi*(+fx + k*fs)*t);   % freq = +fx + k*fs
    x4 = 230*sqrt(2) * cos(2*pi*(-fx + k*fs)*t);   % freq = -fx + k*fs
    subplot(211); plot(t,x1,'bo-',t,x2,'r*-'); hold on; title('Sines');
    subplot(212); plot(t,x3,'bo-',t,x4,'r*-'); hold on; title('Cosines');
end 